# __gnu_cxx::subtractive_rng Class Reference
[STL extensions from SGI]

Inheritance diagram for __gnu_cxx::subtractive_rng:

[legend]
Collaboration diagram for __gnu_cxx::subtractive_rng:

[legend]
List of all members.

## Public Methods

unsigned int | operator() (unsigned int __limit)
| Returns a number less than the argument.
| subtractive_rng (unsigned int __seed)
| Ctor allowing you to initialize the seed.
| subtractive_rng ()
| Default ctor; initializes its state with some number you don't see.

## Detailed Description

The `subtractive_rng` class is documented on SGI's site. Note that this code assumes that `int` is 32 bits.

Definition at line 332 of file ext/functional.

## Constructor & Destructor Documentation

__gnu_cxx::subtractive_rng::subtractive_rng | ( | unsigned int | __seed | ) | `[inline]`

| Ctor allowing you to initialize the seed. Definition at line 366 of file ext/functional.

__gnu_cxx::subtractive_rng::subtractive_rng | ( |  | ) | `[inline]`

| Default ctor; initializes its state with some number you don't see. Definition at line 368 of file ext/functional.

## Member Function Documentation

unsigned int __gnu_cxx::subtractive_rng::operator() | ( | unsigned int | __limit | ) | `[inline]`

| Returns a number less than the argument. Definition at line 339 of file ext/functional.

The documentation for this class was generated from the following file:

- ext/functional